org.apache.commons.compress.archivers.dump

## Enum DumpArchiveConstants.SEGMENT_TYPE

- java.lang.Object
- - java.lang.Enum<DumpArchiveConstants.SEGMENT_TYPE>
  - - org.apache.commons.compress.archivers.dump.DumpArchiveConstants.SEGMENT_TYPE

- All Implemented Interfaces:
    Serializable, Comparable<DumpArchiveConstants.SEGMENT_TYPE>
  Enclosing class:
    DumpArchiveConstants

      public static enum DumpArchiveConstants.SEGMENT_TYPE
      extends Enum<DumpArchiveConstants.SEGMENT_TYPE>

  The type of tape segment.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDR`
    `BITS`
    `CLRI`
    `END`
    `INODE`
    `TAPE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DumpArchiveConstants.SEGMENT_TYPE` | `find(int code)`
    `static DumpArchiveConstants.SEGMENT_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DumpArchiveConstants.SEGMENT_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TAPE

          public static final DumpArchiveConstants.SEGMENT_TYPE TAPE

    - #### INODE

          public static final DumpArchiveConstants.SEGMENT_TYPE INODE

    - #### BITS

          public static final DumpArchiveConstants.SEGMENT_TYPE BITS

    - #### ADDR

          public static final DumpArchiveConstants.SEGMENT_TYPE ADDR

    - #### END

          public static final DumpArchiveConstants.SEGMENT_TYPE END

    - #### CLRI

          public static final DumpArchiveConstants.SEGMENT_TYPE CLRI

  - ### Method Detail

    - #### values

          public static DumpArchiveConstants.SEGMENT_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DumpArchiveConstants.SEGMENT_TYPE c : DumpArchiveConstants.SEGMENT_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DumpArchiveConstants.SEGMENT_TYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### find

          public static DumpArchiveConstants.SEGMENT_TYPE find(int code)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.